diff --git a/lib/app/data/models/lokasi_penyaluran_model.dart b/lib/app/data/models/lokasi_penyaluran_model.dart
index 4275bd4..63cbe21 100644
--- a/lib/app/data/models/lokasi_penyaluran_model.dart
+++ b/lib/app/data/models/lokasi_penyaluran_model.dart
@@ -3,7 +3,7 @@ import 'dart:convert';
 class LokasiPenyaluranModel {
   final String id;
   final String nama;
-  final String? alamat;
+  final String? alamatLengkap;
   final String? desa;
   final String? kecamatan;
   final String? kabupaten;
@@ -19,7 +19,7 @@ class LokasiPenyaluranModel {
   LokasiPenyaluranModel({
     required this.id,
     required this.nama,
-    this.alamat,
+    this.alamatLengkap,
     this.desa,
     this.kecamatan,
     this.kabupaten,
@@ -42,7 +42,7 @@ class LokasiPenyaluranModel {
       LokasiPenyaluranModel(
         id: json["id"],
         nama: json["nama"],
-        alamat: json["alamat"],
+        alamatLengkap: json["alamat_lengkap"],
         desa: json["desa"],
         kecamatan: json["kecamatan"],
         kabupaten: json["kabupaten"],
@@ -61,7 +61,7 @@ class LokasiPenyaluranModel {
   Map<String, dynamic> toJson() => {
         "id": id,
         "nama": nama,
-        "alamat": alamat,
+        "alamat_lengkap": alamatLengkap,
         "desa": desa,
         "kecamatan": kecamatan,
         "kabupaten": kabupaten,
diff --git a/lib/app/modules/donatur/views/donatur_penitipan_view.dart b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
index 0d7d70c..a07031a 100644
--- a/lib/app/modules/donatur/views/donatur_penitipan_view.dart
+++ b/lib/app/modules/donatur/views/donatur_penitipan_view.dart
@@ -1196,7 +1196,7 @@ class _FormPenitipanBantuanState extends State<FormPenitipanBantuan> {
             value: selectedLokasiPenyaluranId,
             items: controller.lokasiPenyaluran.map((lokasi) {
               String alamatLengkap = [
-                lokasi.alamat,
+                lokasi.alamatLengkap,
                 lokasi.desa,
                 lokasi.kecamatan,
                 lokasi.kabupaten,
diff --git a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
index 613ed9e..c895827 100644
--- a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
@@ -101,7 +101,8 @@ class DetailPenyaluranController extends GetxController {
       // Ambil data penerima penyaluran
       final penerimaPenyaluranData = await _supabaseService.client
           .from('penerima_penyaluran')
-          .select('*, warga:warga_id(*)')
+          .select(
+              '*, warga:warga_id(*, desa:desa_id(*)), stok_bantuan:stok_bantuan_id(*)')
           .eq('penyaluran_bantuan_id', penyaluranId);
 
       final List<PenerimaPenyaluranModel> penerima = [];
diff --git a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
index 4cb1f86..40eedf7 100644
--- a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
@@ -588,19 +588,21 @@ class JadwalPenyaluranController extends GetxController {
   }
 
   Future<void> loadLokasiPenyaluranData() async {
+    isLokasiLoading.value = true;
     try {
-      isLokasiLoading(true);
-      final lokasiData = await _supabaseService.getAllLokasiPenyaluran();
-      if (lokasiData != null) {
-        for (var lokasi in lokasiData) {
-          final lokasiModel = LokasiPenyaluranModel.fromJson(lokasi);
-          lokasiPenyaluranCache[lokasiModel.id] = lokasiModel;
-        }
+      final data = await _supabaseService.getLokasiPenyaluran(
+        petugasId: user?.id,
+      );
+
+      // Bersihkan cache dan tambahkan data baru
+      lokasiPenyaluranCache.clear();
+      for (final lokasi in data) {
+        lokasiPenyaluranCache[lokasi.id] = lokasi;
       }
     } catch (e) {
-      print('Error loading lokasi penyaluran data: $e');
+      print('Error loading lokasi penyaluran: $e');
     } finally {
-      isLokasiLoading(false);
+      isLokasiLoading.value = false;
     }
   }
 
@@ -869,4 +871,92 @@ class JadwalPenyaluranController extends GetxController {
     // Kembalikan representasi string dari hash
     return hash.toString();
   }
+
+  // Mengedit lokasi penyaluran
+  void editLokasiPenyaluran(String lokasiId) {
+    if (lokasiPenyaluranCache.containsKey(lokasiId)) {
+      // Ambil data lokasi yang akan diedit
+      final lokasi = lokasiPenyaluranCache[lokasiId];
+
+      // Navigasi ke halaman edit dengan membawa data lokasi
+      Get.toNamed('/petugas-desa/edit-lokasi-penyaluran', arguments: {
+        'lokasi_id': lokasiId,
+        'lokasi': lokasi,
+      });
+    } else {
+      Get.snackbar(
+        'Gagal',
+        'Data lokasi tidak ditemukan',
+        backgroundColor: Colors.red.shade100,
+        colorText: Colors.red.shade800,
+        snackPosition: SnackPosition.BOTTOM,
+      );
+    }
+  }
+
+  // Menghapus lokasi penyaluran
+  void hapusLokasiPenyaluran(String lokasiId) {
+    // Tampilkan dialog konfirmasi penghapusan
+    Get.dialog(
+      AlertDialog(
+        title: const Text('Konfirmasi Hapus'),
+        content: const Text('Apakah Anda yakin ingin menghapus lokasi ini?'),
+        actions: [
+          TextButton(
+            onPressed: () => Get.back(),
+            child: const Text('BATAL'),
+          ),
+          TextButton(
+            onPressed: () async {
+              Get.back(); // Tutup dialog
+
+              // Tampilkan loading
+              Get.dialog(
+                const Center(
+                  child: CircularProgressIndicator(),
+                ),
+                barrierDismissible: false,
+              );
+
+              try {
+                // Lakukan penghapusan di database
+                await _supabaseService.deleteLokasiPenyaluran(lokasiId);
+
+                // Hapus data dari cache lokal
+                lokasiPenyaluranCache.remove(lokasiId);
+
+                // Tutup dialog loading
+                Get.back();
+
+                // Tampilkan notifikasi berhasil
+                Get.snackbar(
+                  'Berhasil',
+                  'Lokasi penyaluran berhasil dihapus',
+                  backgroundColor: Colors.green.shade100,
+                  colorText: Colors.green.shade800,
+                  snackPosition: SnackPosition.BOTTOM,
+                );
+              } catch (e) {
+                // Tutup dialog loading
+                Get.back();
+
+                // Tampilkan pesan error
+                Get.snackbar(
+                  'Gagal',
+                  'Terjadi kesalahan: ${e.toString()}',
+                  backgroundColor: Colors.red.shade100,
+                  colorText: Colors.red.shade800,
+                  snackPosition: SnackPosition.BOTTOM,
+                );
+              }
+            },
+            style: TextButton.styleFrom(
+              foregroundColor: Colors.red,
+            ),
+            child: const Text('HAPUS'),
+          ),
+        ],
+      ),
+    );
+  }
 }
diff --git a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
index 74c3bb9..00a5381 100644
--- a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
+++ b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
@@ -307,12 +307,12 @@ class DetailPenyaluranPage extends StatelessWidget {
   }
 
   // Widget untuk info item dengan icon
-  Widget _buildInfoItem(
-      IconData icon, String label, String value, Color iconColor) {
+  Widget _buildInfoItem(IconData icon, String label, String value,
+      [Color? statusColor]) {
     return Row(
       crossAxisAlignment: CrossAxisAlignment.start,
       children: [
-        Icon(icon, size: 20, color: iconColor),
+        Icon(icon, size: 20, color: statusColor ?? AppTheme.secondaryColor),
         const SizedBox(width: 10),
         Expanded(
           child: Column(
@@ -1330,7 +1330,6 @@ class DetailPenyaluranPage extends StatelessWidget {
             label: Text(
               'Selesaikan',
               style: TextStyle(
-                fontWeight: FontWeight.bold,
                 fontSize: allReceived ? 16 : 14,
               ),
             ),
@@ -1593,6 +1592,7 @@ class DetailPenyaluranPage extends StatelessWidget {
     showModalBottomSheet(
       context: context,
       isScrollControlled: true,
+      backgroundColor: Colors.transparent,
       shape: const RoundedRectangleBorder(
         borderRadius: BorderRadius.vertical(top: Radius.circular(20)),
       ),
